org.apache.tapestry5.internal.model

## Class MutableEmbeddedComponentModelImpl

- java.lang.Object
- - org.apache.tapestry5.ioc.BaseLocatable
  - - org.apache.tapestry5.internal.model.MutableEmbeddedComponentModelImpl

- All Implemented Interfaces:
    Locatable, EmbeddedComponentModel, MutableEmbeddedComponentModel

      public class MutableEmbeddedComponentModelImpl
      extends BaseLocatable
      implements MutableEmbeddedComponentModel

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableEmbeddedComponentModelImpl(String id, String componentType, String componentClassName, String declaredClass, boolean inheritInformalParameters, Location location)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addMixin(String mixinClassName, String... constraints)` Adds a mixin to the component in terms of its fully qualified class name, with optional ordering constraints.
    `void` | `addParameter(String name, String value)`
    `String` | `getComponentClassName()` The class name of the component, as derived from the field to which the `Component` annotation is applied.
    `String` | `getComponentType()` The type of the component, which may be blank.
    `String[]` | `getConstraintsForMixin(String mixinClassName)`
    `String` | `getId()` A unique id for the embedded component.
    `boolean` | `getInheritInformalParameters()` If true, then the component should inherit informal parameters from its container.
    `List<String>` | `getMixinClassNames()` Returns the fully qualified class names of all mixins added to this component, sorted alphabetically.
    `List<String>` | `getParameterNames()` A sorted list of the names of all bound parameters.
    `String` | `getParameterValue(String parameterName)` The value for each parameter, which will be interpreted as a binding expression.
    `List<String>` | `getPublishedParameters()` Returns the list of published parameters of this component (usually an empty list).
    `void` | `setPublishedParameters(List<String> parameterNames)` Sets the list of published parameters for this embedded component.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.tapestry5.ioc.BaseLocatable

      `getLocation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tapestry5.ioc.Locatable

      `getLocation`

- - ### Constructor Detail

    - #### MutableEmbeddedComponentModelImpl

          public MutableEmbeddedComponentModelImpl(String id,
                                                   String componentType,
                                                   String componentClassName,
                                                   String declaredClass,
                                                   boolean inheritInformalParameters,
                                                   Location location)

  - ### Method Detail

    - #### getComponentClassName

          public String getComponentClassName()

      Description copied from interface: `EmbeddedComponentModel`
      The class name of the component, as derived from the field to which the `Component` annotation is applied. This value is only used when the componentType property is blank.
      Specified by:
        `getComponentClassName` in interface `EmbeddedComponentModel`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### addParameter

          public void addParameter(String name,
                                   String value)

      Specified by:
        `addParameter` in interface `MutableEmbeddedComponentModel`

    - #### getId

          public String getId()

      Description copied from interface: `EmbeddedComponentModel`
      A unique id for the embedded component.
      Specified by:
        `getId` in interface `EmbeddedComponentModel`

    - #### getComponentType

          public String getComponentType()

      Description copied from interface: `EmbeddedComponentModel`
      The type of the component, which may be blank.
      Specified by:
        `getComponentType` in interface `EmbeddedComponentModel`

    - #### getParameterNames

          public List<String> getParameterNames()

      Description copied from interface: `EmbeddedComponentModel`
      A sorted list of the names of all bound parameters.
      Specified by:
        `getParameterNames` in interface `EmbeddedComponentModel`

    - #### getParameterValue

          public String getParameterValue(String parameterName)

      Description copied from interface: `EmbeddedComponentModel`
      The value for each parameter, which will be interpreted as a binding expression.
      Specified by:
        `getParameterValue` in interface `EmbeddedComponentModel`

    - #### getMixinClassNames

          public List<String> getMixinClassNames()

      Description copied from interface: `EmbeddedComponentModel`
      Returns the fully qualified class names of all mixins added to this component, sorted alphabetically.
      Specified by:
        `getMixinClassNames` in interface `EmbeddedComponentModel`

    - #### addMixin

          public void addMixin(String mixinClassName,
                               String... constraints)

      Description copied from interface: `MutableEmbeddedComponentModel`
      Adds a mixin to the component in terms of its fully qualified class name, with optional ordering constraints.
      Specified by:
        `addMixin` in interface `MutableEmbeddedComponentModel`

    - #### getInheritInformalParameters

          public boolean getInheritInformalParameters()

      Description copied from interface: `EmbeddedComponentModel`
      If true, then the component should inherit informal parameters from its container.
      Specified by:
        `getInheritInformalParameters` in interface `EmbeddedComponentModel`

    - #### setPublishedParameters

          public void setPublishedParameters(List<String> parameterNames)

      Description copied from interface: `MutableEmbeddedComponentModel`
      Sets the list of published parameters for this embedded component.
      Specified by:
        `setPublishedParameters` in interface `MutableEmbeddedComponentModel`
      Parameters:
        `parameterNames` - list of names
      See Also:
        `Component.publishParameters()`

    - #### getPublishedParameters

          public List<String> getPublishedParameters()

      Description copied from interface: `EmbeddedComponentModel`
      Returns the list of published parameters of this component (usually an empty list).
      Specified by:
        `getPublishedParameters` in interface `EmbeddedComponentModel`
      Returns:
        list of parameter names to publish
      See Also:
        `Component.publishParameters()`

    - #### getConstraintsForMixin

          public String[] getConstraintsForMixin(String mixinClassName)

      Specified by:
        `getConstraintsForMixin` in interface `EmbeddedComponentModel`
      Returns:
        the ordering constraints for the specified mixin, or null.

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.